The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Capacity Licenses Present on the Manager

Prev Next

This URL gets the capacity licenses present on the Manager.

Resource URL

GET /license/capacity

Request Parameters

URL Parameters: None

Payload Request Parameters: None

Response Parameters

Following fields are returned:

Field Name

Description

Data Type

licenses

List of individual license details parameter

Array of objects

Details of fields in LicenseDetails:

Field Name

Description

Data Type

allowanceModel

Sensor model allowed for the license

String

Capacity

Sensor capacity supported by the license

String

licenseCustomer

Customer of the license

String

key

License key

String

comment

Comment

String

addedBy

User who added the license

String

addedTime

Time when the license was added

String

licenseGrantID

License grant id

String

licenseExpiration

License expiration date

String

targetType

Type of the target (for example, Sensor)

String

targetIdAssociated

Target id associated with the license (for example, sensorId)

String

deviceName

Name of the device associated with the license

String

GrantIndex

Grant index of the license

Int

licenseId

License Id

String

Example

Request

GET https://<NSM_IP>/sdkapi/license/capacity

Payload

None

Response

{
"licenses": [
"comment": None, "targetType": "SENSOR", "licenseCustomer": "McAfee Inc. - for Eval Purposes Only", "capacity": "20 Gbps", "deviceName": "/My Company/Test Child Domain 1/denali-1", "allowanceModel": "IPS-NS9500", "addedBy": "admin", "targetIdAssociated": "1006", "key": "50002-1", “licenseId”: ”50002”, “grantIndex”: 1, "addedTime": "Oct 22 12:20:09 2019", "licenseGrantID": "0030080", "licenseExpiration": "09-12-2020"]
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error